/**
 *
 */
package de.intevation.gnv.geobackend.base.query.exception;
/**
 * This is a specialized Exceptionclass for Exceptions that occurse during
 * querying Data from the Database-
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class QueryException extends Exception {

    /**
     * The UID for this Class
     */
    private static final long serialVersionUID = -1337567603858112424L;

    /**
     * Constructor
     */
    public QueryException() {
    }

    /**
     * Constructor
     * @param message
     */
    public QueryException(String message) {
        super(message);
    }

    /**
     * Constructor
     * @param cause
     */
    public QueryException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructor
     * @param message
     * @param cause
     */
    public QueryException(String message, Throwable cause) {
        super(message, cause);
    }

}
